diff mbox series

[net-next,1/2] selftests: forwarding: fix "ok" action test

Message ID 20180307125800.6196-2-jiri@resnulli.us
State Accepted, archived
Delegated to: David Miller
Headers show
Series selftests: forwarding: couple of fixes | expand

Commit Message

Jiri Pirko March 7, 2018, 12:57 p.m. UTC
From: Jiri Pirko <jiri@mellanox.com>

Fix the "ok" action test so it checks that packet that is okayed does not
continue to be processed by other rules. Fix error message as well.

Signed-off-by: Jiri Pirko <jiri@mellanox.com>
Reviewed-by: Ido Schimmel <idosch@mellanox.com>
---
 tools/testing/selftests/net/forwarding/tc_actions.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

Comments

David Miller March 7, 2018, 8:41 p.m. UTC | #1
From: Jiri Pirko <jiri@resnulli.us>
Date: Wed,  7 Mar 2018 13:57:59 +0100

> From: Jiri Pirko <jiri@mellanox.com>
> 
> Fix the "ok" action test so it checks that packet that is okayed does not
> continue to be processed by other rules. Fix error message as well.
> 
> Signed-off-by: Jiri Pirko <jiri@mellanox.com>
> Reviewed-by: Ido Schimmel <idosch@mellanox.com>

Applied.
diff mbox series

Patch

diff --git a/tools/testing/selftests/net/forwarding/tc_actions.sh b/tools/testing/selftests/net/forwarding/tc_actions.sh
index 6b18ba2d3982..ac6b6a1057d8 100755
--- a/tools/testing/selftests/net/forwarding/tc_actions.sh
+++ b/tools/testing/selftests/net/forwarding/tc_actions.sh
@@ -96,7 +96,10 @@  gact_drop_and_ok_test()
 		-t ip -q
 
 	tc_check_packets "dev $swp1 ingress" 101 1
-	check_err $? "Did not see trapped packet"
+	check_err $? "Did not see passed packet"
+
+	tc_check_packets "dev $swp1 ingress" 102 2
+	check_fail $? "Packet was dropped and it should not reach here"
 
 	tc filter del dev $swp1 ingress protocol ip pref 2 handle 102 flower
 	tc filter del dev $swp1 ingress protocol ip pref 1 handle 101 flower